escript::NonReducedVariable Class Reference

`#include <NonReducedVariable.h>`

Inheritance diagram for escript::NonReducedVariable:

## Public Member Functions

| NonReducedVariable ()
| ~NonReducedVariable ()
void | setDomain (escript::Domain_ptr d)
bool | valueCompatible (boost::python::object v)
bool | reduceLocalValue (boost::python::object v, std::string &errstring)
void | reset ()
bool | checkRemoteCompatibility (JMPI &mpi_info, std::string &errstring)
void | getCompatibilityInfo (std::vector< unsigned > &params)
bool | reduceRemoteValues (MPI_Comm &mpi_info)
std::string | description ()
bool | recvFrom (int localid, int source, JMPI &mpiinfo)
bool | sendTo (int localid, int target, JMPI &mpiinfo)
double | getDouble ()
virtual boost::python::object | getPyObj ()
bool | groupSend (MPI_Comm &com, bool imsending)
bool | groupReduce (MPI_Comm &com, char mystate)
void | copyValueFrom (boost::shared_ptr< AbstractReducer > &src)
Public Member Functions inherited from escript::AbstractReducer
virtual | ~AbstractReducer ()
bool | hasValue ()
virtual bool | canClash ()
virtual void | newRunJobs ()
virtual void | clear ()

## Private Attributes

boost::python::object | value
boost::python::object | identity

## Additional Inherited Members

Protected Attributes inherited from escript::AbstractReducer
bool | valueadded
bool | had_an_export_this_round
Static Protected Attributes inherited from escript::AbstractReducer
static const int | PARAMTAG =120567

## Constructor & Destructor Documentation

## NonReducedVariable()

NonReducedVariable::NonReducedVariable | ( |  | ) |

References escript::AbstractReducer::valueadded.

Referenced by escript::makeNonReducedVariable().

## ~NonReducedVariable()

NonReducedVariable::~NonReducedVariable | ( |  | ) |

## Member Function Documentation

## checkRemoteCompatibility()

bool NonReducedVariable::checkRemoteCompatibility | ( | JMPI & | mpi_info,
|  | std::string & | errstring
| ) |  |

virtual

Implements escript::AbstractReducer.

## copyValueFrom()

void NonReducedVariable::copyValueFrom | ( | boost::shared_ptr< AbstractReducer > & | src | ) |

virtual

Implements escript::AbstractReducer.

References value, and escript::AbstractReducer::valueadded.

## description()

std::string NonReducedVariable::description | ( |  | ) |

virtual

Implements escript::AbstractReducer.

## getCompatibilityInfo()

void NonReducedVariable::getCompatibilityInfo | ( | std::vector< unsigned > & | params | ) |

## getDouble()

double NonReducedVariable::getDouble | ( |  | ) |

virtual

Reimplemented from escript::AbstractReducer.

## getPyObj()

boost::python::object NonReducedVariable::getPyObj | ( |  | ) |

virtual

Implements escript::AbstractReducer.

References value.

## groupReduce()

bool NonReducedVariable::groupReduce | ( | MPI_Comm & | com,
|  | char | mystate
| ) |  |

## groupSend()

bool NonReducedVariable::groupSend | ( | MPI_Comm & | com,
|  | bool | imsending
| ) |  |

## recvFrom()

bool NonReducedVariable::recvFrom | ( | int | localid,
|  | int | source,
|  | JMPI & | mpiinfo
| ) |  |

virtual

Implements escript::AbstractReducer.

## reduceLocalValue()

bool NonReducedVariable::reduceLocalValue | ( | boost::python::object | v,
|  | std::string & | errstring
| ) |  |

virtual

Implements escript::AbstractReducer.

References value, and escript::AbstractReducer::valueadded.

## reduceRemoteValues()

bool NonReducedVariable::reduceRemoteValues | ( | MPI_Comm & | mpi_info | ) |

virtual

Implements escript::AbstractReducer.

## reset()

void NonReducedVariable::reset | ( |  | ) |

virtual

Implements escript::AbstractReducer.

References value, and escript::AbstractReducer::valueadded.

## sendTo()

bool NonReducedVariable::sendTo | ( | int | localid,
|  | int | target,
|  | JMPI & | mpiinfo
| ) |  |

virtual

Implements escript::AbstractReducer.

## setDomain()

void NonReducedVariable::setDomain | ( | escript::Domain_ptr | d | ) |

virtual

Reimplemented from escript::AbstractReducer.

## valueCompatible()

bool NonReducedVariable::valueCompatible | ( | boost::python::object | v | ) |

virtual

Implements escript::AbstractReducer.

## Member Data Documentation

## identity

boost::python::object escript::NonReducedVariable::identity

private

## value

boost::python::object escript::NonReducedVariable::value

private

Referenced by copyValueFrom(), getPyObj(), reduceLocalValue(), and reset().

The documentation for this class was generated from the following files:

- NonReducedVariable.h
- NonReducedVariable.cpp